#!/bin/sh

echo "Updating MAC..."
update-mac dtb_recovery.bin dtb_recovery.patched
echo "OK"

echo "Erasing DTB Recovery... "
flash_eraseall /dev/mtd2
echo "OK"

echo "Flashing DTB Recovery... "
nandwrite -p /dev/mtd2 dtb_recovery.patched
echo "OK"

echo "Erasing Kernel Recovery... "
flash_eraseall /dev/mtd4
echo "OK"

echo "Flashing Kernel Recovery... "
nandwrite -p /dev/mtd4 kernel_recovery.bin
echo "OK"
